com.ibm.openpages.api.application

## Interface IReportParameters

-     public interface IReportParameters

  Contains all input `IParameter` items for any report prompts, where the key is the parameter name from the report and the values are a string array containing the input values.

  Initially retrieved using the `IApplicationService.getParametersForReport(String)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<java.lang.String>` | `getAllParameterNames()` Gets all the report parameter names.
    `IParameter` | `getParameter(java.lang.String parameterName)` Gets the parameter information which has name, data type, default values, and values.
    `java.lang.String[]` | `getParameterValue(java.lang.String parameterName)` Gets the value for a specified parameter.
    `void` | `setParameterValue(java.lang.String parameterName, java.lang.String... values)` Sets the value for a specified parameter to pass to the report.

- - ### Method Detail

    - #### getAllParameterNames

          java.util.Set<java.lang.String> getAllParameterNames()

      Gets all the report parameter names.
      Returns:
        set of parameter names

    - #### setParameterValue

          void setParameterValue(java.lang.String parameterName,
                                 java.lang.String... values)

      Sets the value for a specified parameter to pass to the report. Depending on the type of the parameter, you must provide the values in the correct formats:

      xsdByte
      xsdDate - (YYYY-MM-DD)
      xsdDateTime - (YYYY-MM-DDThh:mm:ss.fff)
      xsdDecimal
      xsdDouble
      xsdDuration - (Specifies a time interval. The time interval is specified using the ISO 8601 format PnYnMnDTnHnMnS. In this format,

      - nY represents the number of years
      - the first nM represents the number of months
      - nD represents the number of days
      - T is the date-time separator
      - nH represents the number of hours
      - the second nM represents the number of minutes
      - nS represents the number of seconds
      )
      xsdFloat
      xsdInt
      xsdLong
      xsdShort
      xsdString
      xsdTime - (hh:mm:ss.fff)
      xsdUnsignedByte
      xsdUnsignedInt
      xsdUnsignedLong
      xsdUnsignedShort
      Parameters:
        `parameterName` - (required) name of the parameter
        `values` - (required) one or more values for the parameter
      Throws:
        `InvalidArgumentException` - if the specified parameterName does not exist in the set of parameters provided by the report call

    - #### getParameterValue

          java.lang.String[] getParameterValue(java.lang.String parameterName)

      Gets the value for a specified parameter.
      Parameters:
        `parameterName` - (required) name of the parameter
      Returns:
        value of the specified parameter

    - #### getParameter

          IParameter getParameter(java.lang.String parameterName)

      Gets the parameter information which has name, data type, default values, and values.
      Parameters:
        `parameterName` - (required) name of the parameter
      Returns:
        information for the specified parameter

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.